Subject: bug#19824: 25.0.50; Support goal column in multi-line minibuffer

From: Juri Linkov <[email-masked]>
Date: Thu, 12 Feb 2015 02:54:59 +0200

> Right, sorry.  So I guess now I don't understand why we try keeping
> the horizontal position across history elements.  Why not reset the
> position to just after the prompt?  There's nothing in common between
> the history elements, in general.

This is for backward-compatibility with the traditional behavior
that existed from the beginning that kept the horizontal position
for single-line history elements.  And it's really convenient
when the history is navigated the same way as a normal buffer
where line-move-visual keeps the column.